org.apache.maven.plugin.resources

## Class CopyResourcesMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.maven.plugin.resources.ResourcesMojo
    - - org.apache.maven.plugin.resources.CopyResourcesMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public class CopyResourcesMojo
    extends ResourcesMojo

Copy resources of the configured plugin attribute resources

Since:
  2.3
Version:
  $Id: CopyResourcesMojo.java 695189 2008-09-14 11:09:20Z bentmann $
Author:
  olamy

### Field Summary

### Fields inherited from class org.apache.maven.plugin.resources.ResourcesMojo

`encoding, escapeString, filters, includeEmptyDirs, mavenResourcesFiltering, nonFilteredFileExtensions, project, session`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`CopyResourcesMojo()`

### Method Summary

Methods
`List` `getFilters()`
`File` `getOutputDirectory()`
`List` `getResources()`
`void` `setFilters(List filters)`
`void` `setOutputDirectory(File outputDirectory)`
`void` `setResources(List resources)`

### Methods inherited from class org.apache.maven.plugin.resources.ResourcesMojo

`execute, isIncludeEmptyDirs, isOverwrite, setIncludeEmptyDirs, setOverwrite`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CopyResourcesMojo

    public CopyResourcesMojo()

### Method Detail

#### getOutputDirectory

    public File getOutputDirectory()

Overrides:
  `getOutputDirectory` in class `ResourcesMojo`

#### setOutputDirectory

    public void setOutputDirectory(File outputDirectory)

Overrides:
  `setOutputDirectory` in class `ResourcesMojo`

#### getResources

    public List getResources()

Overrides:
  `getResources` in class `ResourcesMojo`

#### setResources

    public void setResources(List resources)

Overrides:
  `setResources` in class `ResourcesMojo`

#### getFilters

    public List getFilters()

#### setFilters

    public void setFilters(List filters)